# std::chrono::year_month_day_last::ok

From cppreference.com
< cpp‎ | chrono‎ | year month day last

constexpr bool ok() const noexcept; |  | (since C++20)

Checks if `*this` represents a valid date. Because a `year_month_day_last` represents the last day of a particular month, it represents a valid date as long as the year and month are valid.

### Return value

year().ok() && month().ok()

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/chrono/year_month_day_last/ok&oldid=104809"